<template>
  <div class="uploadIconBox">
    <i class="el-input__icon el-icon-camera-solid" @click="showUpload"></i>
    <SearchLeft v-show="visibile" @closeUpload="showUpload"></SearchLeft>
  </div>
</template>
<script>
import SearchLeft from './uploadForModel'
export default {
  components: {
    SearchLeft
  },
  data() {
    return {
      visibile: false
    }
  },
  methods: {
    showUpload() {
      this.visibile = !this.visibile
    }
  }
}
</script>
<style lang="scss">
.uploadIconBox {
  position: relative;
  i {
    font-size: 20px;
    color: #999;
    cursor: pointer;
  }
  .left-section1 {
    //border: 1px solid #ccc;
    border-radius: 5px;
    position: absolute;
    z-index: 2;
    height: 700px;
    left: -330px;
    top: 45px;
    box-shadow: #eee 0px 0px 10px 10px;
  }
}
</style>